Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Interface ChatCompletionRequestUserMessageContent

All Known Implementing Classes:
  `ChatCompletionRequestUserMessageContent.InnerString`, `ChatCompletionRequestUserMessageContent.ListOfChatCompletionRequestUserMessageContentParts`

public interface ChatCompletionRequestUserMessageContent
The contents of the user message.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `ChatCompletionRequestUserMessageContent.InnerString`
  Helper class to create `String` that implements `ChatCompletionRequestUserMessageContent`.
  `static final record`
  `ChatCompletionRequestUserMessageContent.ListOfChatCompletionRequestUserMessageContentParts`
  Helper class to create `List<ChatCompletionRequestUserMessageContentPart>` that implements `ChatCompletionRequestUserMessageContent`.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static ChatCompletionRequestUserMessageContent.InnerString`
  `create(String val)`
  Creator to enable deserialization of `String` .
  `static ChatCompletionRequestUserMessageContent.ListOfChatCompletionRequestUserMessageContentParts`
  `createListOfChatCompletionRequestUserMessageContentParts(List<ChatCompletionRequestUserMessageContentPart> val)`
  Creator to enable deserialization of `List<ChatCompletionRequestUserMessageContentPart>` .

- ## Method Details

  - ### createListOfChatCompletionRequestUserMessageContentParts

    @Nonnull static ChatCompletionRequestUserMessageContent.ListOfChatCompletionRequestUserMessageContentParts createListOfChatCompletionRequestUserMessageContentParts(@Nonnull List<ChatCompletionRequestUserMessageContentPart> val)
    Creator to enable deserialization of `List<ChatCompletionRequestUserMessageContentPart>` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `ChatCompletionRequestUserMessageContent.ListOfChatCompletionRequestUserMessageContentParts`.

  - ### create

    @Nonnull static ChatCompletionRequestUserMessageContent.InnerString create(@Nonnull String val)
    Creator to enable deserialization of `String` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `ChatCompletionRequestUserMessageContent.InnerString`.